#3401 closed defect (fixed)

dl06: tms570* Mixed LSB/MSB Error

Reported by: Joel Sherrill Owned by: chrisj@…
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By: #3402
Blocking:

Description

ld-arm-tms570ls3137_hdk-rtems/arm-rtems5/c/tms570ls3137_hdk/testsuites/libtests'
rtems-ld -r /home/joel/rtems-work/rtems-testing/rtems/build-arm-tms570ls3137_hdk-rtems/arm-rtems5/c/tms570ls3137_hdk -O rap -b dl06.pre -e rtems_main -s \

-o dl06.rap dl06-o1.o dl06-o2.o -lm

error: elf:check_file: /data/home/joel/rtems-work/tools/5/bin/../lib/gcc/arm-rtems5/7.3.0/../../../../arm-rtems5/lib/libc.a:lib_a-_Exit.o@23760: Mixed data types not allowed (LSB/MSB).

Change History (5)

comment:1 Changed on Apr 17, 2018 at 1:55:00 PM by Joel Sherrill

Owner: set to chrisj@…
Status: newassigned

comment:2 Changed on Apr 18, 2018 at 1:29:19 AM by Chris Johns

Blocked By: 3402 added

comment:3 Changed on Oct 14, 2018 at 9:57:35 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In 632bb17/rtems:

libtests/Makefile.am: Add CPU_CFLAGS to rtems-ld invocation

closes #3401, #3402.

comment:4 Changed on Oct 14, 2018 at 9:59:18 PM by Joel Sherrill <joel@…>

In 36fde51/rtems-tools:

rtemstoolkit/rld-cc.cpp: Accept -EL, -EB, and -Gn machine flags

closes #3401, #3402, $3424.

comment:5 Changed on Oct 14, 2018 at 10:06:16 PM by Joel Sherrill <joel@…>

In 8992d20/rtems-source-builder:

rtems-tools-5-1.cfg: Bump to latest

closes #3401, #3402, #3424.

Note: See TracTickets for help on using tickets.